/**************************************************
* FUNCTION NAME: dbDescribe for NETWARE XQL/SQL
*
* SYNOPSIS:     
*       access .ddf to retrieve list of fields
*                       via XQLDescribe
***************************************************/

int dbDescribe(int ColumnPos, 
	       struct ColumnDesc *col, 
	       REQUEST rq)
{
int       XQLStatus;

    col->namelen = NAMELENGTH;
    col->data_type = 0;
    col->size = 0; 
    col->dec_places = 0;
    col->display_len = 0; 
    strcpy(col->fldname,"   ");

    XQLStatus = XQLDescribe (rq->CursorID, 
		    ColumnPos + 1, 
		    &col->data_type,
		    &col->size, 
		    &col->dec_places,
		    &col->display_len, 
		    &col->namelen,
		    col->fldname);

    if (XQLStatus)
		return XQLStatus;
	else
		return SQL_SUCCESS;
	
}

